<template>
  <!-- 预装箱单-成衣 列表-->
  <div id="adPaListClothes">
    <!-- 查询 -->
    <a-card :bordered="false">
      <div class="table-page-search-wrapper">
        <a-form layout="inline" @keyup.enter.native="searchQuery">
          <a-row :gutter="24">
             <!-- <a-col :md="6" :sm="8">
              <a-form-item label="单据号">
                <a-input placeholder="请输入单据号" v-model="queryParam.documentNo"></a-input>
              </a-form-item>
            </a-col> -->
            <!-- <a-col :md="6" :sm="8">
              <a-form-item label="订单号">
                <a-input placeholder="请输入订单号" v-model="queryParam.orderNumber"></a-input>
              </a-form-item>
            </a-col> -->

            <a-col :md="6" :sm="8">
              <a-form-item label="款号">
                <a-input placeholder="请输入款号" v-model="queryParam.itemNumber"></a-input>
              </a-form-item>
            </a-col>
               <a-col :md="6" :sm="8">
              <a-form-item label="小po">
                <a-input placeholder="请输入小po" v-model="queryParam.smallPo"></a-input>
              </a-form-item>
            </a-col>

            <a-col :md="6" :sm="8">
              <a-form-item label="分销点">
                <a-input placeholder="请输入分销点" v-model="queryParam.distributionPoint"></a-input>
              </a-form-item>
            </a-col>


           
            <template v-if="toggleSearchStatus">
              <!-- <a-col :md="6" :sm="8">
              <a-form-item label="单据日期">
                <a-range-picker
                  style="width: 100%"
                  v-model="timeRange"
                  format="YYYY-MM-DD"
                  :placeholder="['开始日期', '结束日期']"
                  @change="onDateChange"
                  @ok="onDateOk"
                />
              </a-form-item>
            </a-col> -->
             <a-col :md="6" :sm="8">
              <a-form-item label="成衣工厂">
                <a-input placeholder="请输入成衣工厂" v-model="queryParam.garmentFactory"></a-input>
              </a-form-item>
            </a-col>

            <a-col :md="6" :sm="8">
               <a-form-item label="预发货日期">
                  <a-range-picker
                    style="width: 100%"
                    :mode="rangeMode"
                    :placeholder="['开始日期', '结束日期']"
                    :value="range"
                    format = "YYYY-MM-DD"
                    @change="rangeSelectChange"
                  />
                </a-form-item>
            </a-col>

            </template>

            <a-col :md="6" :sm="8">
              <span style="float: left;overflow: hidden;" class="table-page-search-submitButtons">
                <a-button type="primary" @click="searchQuery" icon="search">查询</a-button>
                <a-button type="primary" @click="searchReset" icon="reload" style="margin-left: 8px">重置</a-button>
                <a @click="handleToggleSearch" style="margin-left: 8px">
                  {{ toggleSearchStatus ? '收起' : '展开' }}
                  <a-icon :type="toggleSearchStatus ? 'up' : 'down'" />
                </a>
              </span>
            </a-col>
          </a-row>
        </a-form>
      </div>
    </a-card>
    <!-- 操作按钮区域 导出 导入 新增-->
    <a-card :bordered="false" style="margin:10px 0">
      <div class="table-operator">
        <a-button type="primary" @click="addAdpacking" icon="plus">新增</a-button>
        <a-button type="primary" icon="download" @click="handleExportXls('预装箱单-成衣')">导出</a-button>
        <a-upload productName="file" :showUploadList="false"  :multiple="false"  :headers="tokenHeader"  :action="importExcelUrl"   @change="handleImportExcel">
          <a-button type="primary" icon="import">导入</a-button>
        </a-upload>
        <a-button type="primary" @click="batchSubmit" icon="check">批量提交</a-button>
        <a-button type="primary" @click="batchCanelSubmit" icon="close">批量取消提交</a-button>
        <a-button type="primary" @click="batchPush" icon="export">批量推送</a-button>
      </div>

      <!-- table rowKey="id" -->
      <a-table
        bordered
        :columns="adPaListClothesColumns"
        :data-source="adPaListClothesData"
        :loading="loading"
        :pagination="pagination"
        :row-key="record => record.id"
        :rowSelection="{ selectedRowKeys: selectedRowKeys, onChange: onSelectChange }"
        @change="handleTableChange"
        :scroll="{ x: 1500 , y: 500}"
      >
        <!-- 推送状态 -->
        <span slot="pushStatesSlot" slot-scope="text, record" :title="record.memo">
          <a-tag color="#2db7f5" v-if="record.pushStatus == '0' || record.pushStatus == null ">未推送</a-tag>
          <a-tag color="#87d068" v-if="record.pushStatus == '1'">推送成功</a-tag>
          <a-tag color="#f50" v-if="record.pushStatus == '2'">推送失败</a-tag>
        </span>

        <!-- 单据状态 -->
        <span slot="statusSlot" slot-scope="text, record">
          <a-tag color="orange" v-if="record.status == 0 || record.status == null">未提交</a-tag>
          <a-tag color="green" v-if="record.status == 1">已提交</a-tag>
        </span>

        <!-- 操作 默认按钮  未提交未推送-->
        <span slot="operationSlot" slot-scope="text, record">
          <a href="javascript:void(0);" @click="itemXls(record)" style="color:green">导出</a>

          <a-divider type="vertical" />

          <a-dropdown>
            <a class="ant-dropdown-link">更多<a-icon type="down"/></a>
            <!-- 已保存 -->
            <a-menu slot="overlay" v-if="record.status == '0' || record.status == null">
              <a-menu-item>
                <a @click="details(record)">详情</a>
              </a-menu-item>

              <a-menu-item>
                <a @click="edit(record)">编辑</a>
              </a-menu-item>

              <!-- <a-menu-item>
                <a-popconfirm title="确定提交吗?" ok-text="是" cancel-text="否" @confirm="submit(record)">
                  <a href="javascript:void(0);" style="color:green;">提交</a>
                </a-popconfirm>
              </a-menu-item> -->

              <a-menu-item>
                <a-popconfirm title="确定删除吗?" ok-text="是" cancel-text="否" @confirm="handleDelete(record)">
                  <a href="javascript:void(0);" style="color:red;">删除</a>
                </a-popconfirm>
              </a-menu-item>
            </a-menu>

            <!-- 已提交 且 推送成功   -->
            <a-menu slot="overlay" v-if="record.pushStatus == '1' && record.status == '1'">
              <a-menu-item>
                <a @click="details(record)">详情</a>
              </a-menu-item>
            </a-menu>

            <!-- 已提交 且 推送失败  -->
            <a-menu slot="overlay" v-if="record.pushStatus == '2' && record.status == '1'">
              <a-menu-item>
                <a @click="details(record)">详情</a>
              </a-menu-item>

              <a-menu-item>
                <a-popconfirm title="确定重新推送吗?" ok-text="是" cancel-text="否" @confirm="push(record)">
                  <a href="javascript:void(0);" style="color:green;">重新推送</a>
                </a-popconfirm>
              </a-menu-item>
            </a-menu>

            <!-- 已提交 -->
            <a-menu slot="overlay" v-if="record.status == '1'">
              <a-menu-item>
                <a @click="details(record)">详情</a>
              </a-menu-item>

              <!-- <a-menu-item>
                <a-popconfirm title="确定取消提交吗?" ok-text="是" cancel-text="否" @confirm="cancelSubmit(record)">
                  <a href="javascript:void(0);" style="color:red;">取消提交</a>
                </a-popconfirm>
              </a-menu-item> -->

              <a-menu-item>
                <a-popconfirm title="确定推送吗?" ok-text="是" cancel-text="否" @confirm="push(record)">
                  <a href="javascript:void(0);" style="color:green;">推送</a>
                </a-popconfirm>
              </a-menu-item>
            </a-menu>

            <!-- 未推送 -->
            <a-menu slot="overlay" v-if="record.pushStatus == '0'">
              <a-menu-item>
                <a @click="details(record)">详情</a>
              </a-menu-item>

              <a-menu-item>
                <a-popconfirm title="确定推送吗?" ok-text="是" cancel-text="否" @confirm="push(record)">
                  <a href="javascript:void(0);" style="color:green;">推送</a>
                </a-popconfirm>
              </a-menu-item>
            </a-menu>
          </a-dropdown>
        </span>
      </a-table>
    </a-card>

    <!-- 抽屉 -->
    <div>
      <addAdpacking-drawer
        ref="addAdpackingDrawer"
        :fatherList="getadPaListClothes"
        @ok="modalFormOk"
        @hand-submit="submit"
      ></addAdpacking-drawer>

      <detailsAdpacking-drawer ref="detailsAdpackingDrawer" @ok="modalFormOk"></detailsAdpacking-drawer>
    </div>
  </div>
</template>

<script>
import { JeecgListMixin } from '@/mixins/JeecgListMixin'
import JEllipsis from '@/components/jeecg/JEllipsis'
import moment from 'moment'
import { downFile } from '@/api/manage'
import addAdpackingDrawer from '@views/advance-packingList/addAdpackingDrawer.vue'
import detailsAdpackingDrawer from '@views/advance-packingList/detailsAdpackingDrawer.vue'

import { getadPaList, itemByMainId, submit, cancelSubmit, deleteAdPaList,batchSubmit,batchPush,push,batchCanelSubmit,exportList} from '@api/document/advance-packingList.js'

export default {
  productName: 'AdPaListClothes', // 预装箱单-成衣
  mixins: [JeecgListMixin],
  components: { JEllipsis, moment, addAdpackingDrawer, detailsAdpackingDrawer },

  data() {
    let ellipsis = (v, l = 20) => <j-ellipsis value={v} length={l} />
    return {
      loading: false, // 表格加载
      id: '',
      range:[],//预发货日期数组
      rangeMode:['date','date'],
      timeRange:'',
      // 表头
      adPaListClothesColumns: [
        {
          title: '单据号',
          dataIndex: 'documentNo',
          ellipsis: true,
          width: 120,
          // fixed: 'left',
          className: 'replacecolor'
        },
        {
          title: '订单号',
          dataIndex: 'orderNumber',
          width: 120,
          ellipsis: true,
          // fixed: 'left',
          className: 'replacecolor'
        },
        {
          title: '款号',
          dataIndex: 'itemNumber',
          width: 120,
          ellipsis: true,
          // fixed: 'left',
          className: 'replacecolor'
        },
        {
          title: '客户(简称)',
          dataIndex: 'customerAbbreviation',
          width: 100,
          ellipsis: true,
          // fixed: 'left',
          className: 'replacecolor'
        },

        {
          title: '预发货日期',
          dataIndex: 'preDeliveryDate',
          width: 120,
          ellipsis: true,
          customRender: text => {
            return moment(text).format('YYYY-MM-DD')
          },
          className: 'replacecolor'
        },
        {
          title: '小po',
          dataIndex: 'smallPo',
          width: 100,
          ellipsis: true,
          className: 'replacecolor'
        },
        {
          title: '分销点',
          dataIndex: 'distributionPoint',
          width: 120,
          ellipsis: true,
          className: 'replacecolor'
        },

        {
          title: '存货名称',
          dataIndex: 'inventoryName',
          width: 120,
          ellipsis: true,
          className: 'replacecolor'
        },
        {
          title: '颜色',
          dataIndex: 'colour',
          width: 180,
          ellipsis: true,
          className: 'replacecolor'
        },
        {
          title: '采购/委外订单号',
          dataIndex: 'spurOrSubOrder',
          width: 220,
          ellipsis: true,
          className: 'replacecolor'
        },
        // {
        //   title: '订单类型',
        //   dataIndex: 'orderType',
        //   width: 100,
        //   ellipsis: true,
        //   className: 'replacecolor'
        // },
        // {
        //   title: '工厂单价',
        //   dataIndex: 'factoryUnitPrice',
        //   width: 100,
        //   ellipsis: true,
        //   className: 'replacecolor'
        // },
        {
          title: '数量(按合并规则累计)',
          dataIndex: 'total',
          width: 200,
          ellipsis: true,
          className: 'replacecolor'
        },
        {
          title: '箱数',
          dataIndex: 'totalBoxes',
          width: 100,
          ellipsis: true,
          className: 'replacecolor'
        },

        {
          title: '总净重',
          dataIndex: 'totalNetWeight',
          width: 100,
          ellipsis: true,
          className: 'replacecolor'
        },
        {
          title: '总毛重',
          dataIndex: 'totalGrossWeight',
          width: 100,
          ellipsis: true,
          className: 'replacecolor'
        },
        {
          title: '总体积',
          dataIndex: 'totalVolume',
          ellipsis: true,
          width: 100,
          className: 'replacecolor'
        },
        // {
        //   title: '总价',
        //   dataIndex: 'totalPrice',
        //   width: 100,
        //   className: 'replacecolor'
        // },
        {
          title: '集装箱代号',
          dataIndex: 'containerCode',
          width: 120,
          ellipsis: true,
          className: 'replacecolor'
        },
        {
          title: '集装箱号',
          dataIndex: 'containerNumber',
          width: 120,
          ellipsis: true,
          className: 'replacecolor'
        },
        {
          title: '预托书号',
          dataIndex: 'depositaryReceiptNo',
          width: 100,
          ellipsis: true,
          className: 'replacecolor'
        },
        {
          title: '成衣工厂',
          dataIndex: 'garmentFactory',
          width: 160,
          ellipsis: true,
          className: 'replacecolor'
        },
        {
          title: '推送状态',
          dataIndex: 'pushStatus',
          width: 80,
          scopedSlots: { customRender: 'pushStatesSlot' },
          fixed: 'right',
          className: 'replacecolor'
        },

        {
          title: '单据状态',
          dataIndex: 'status',
          width: 80,
          scopedSlots: { customRender: 'statusSlot' },
          fixed: 'right',
          className: 'replacecolor'
        },
        // {
        //   title: '原因',
        //   dataIndex: 'memo',
        //   width: 220,
        //   fixed: 'right',
        //   customRender: t => ellipsis(t),
        //   className: 'replacecolor'
        // },
        {
          title: '操作',
          dataIndex: 'operation',
          scopedSlots: { customRender: 'operationSlot' },
          width: 120,
          fixed: 'right',
          className: 'replacecolor'
        }
      ],
      adPaListClothesData: [],

      queryParam: {
        pageSize:20
        // pageNo: '',
        // orderNumber: '',
        // itemNumber: '',
        // productName: '' // 品名
      },
      pagination: {
        // total: '',
        // current: 0,
        // pageSize: 0
      },
      selectedRowKeys: [], // 勾选航
      dateFormat: 'YYYY-MM-DD'
    }
  },
  created() {
    this.getadPaListClothes()
  },
  methods: {
    // 分页查询 预装箱单-成衣
    getadPaListClothes() {
      console.log(this.queryParam)
      this.$nextTick(() => {
        getadPaList(this.queryParam).then(res => {
          if (res.success) {
            this.adPaListClothesData = [];
            if (res.result.records != null){
              this.adPaListClothesData = res.result.records;
            }
            this.pagination = {
              total: res.result.total,
              current: res.result.current,
              pageSize: res.result.size
            }
          }
        })
      })
    },

    //  编辑
    edit(record) {
      itemByMainId({id:record.id}).then(res => {
        if (res.success) {
          this.$refs.addAdpackingDrawer.visible = true;
          this.$refs.addAdpackingDrawer.editDecide = 'edit';
          this.$refs.addAdpackingDrawer.addAdpacking = res.result; //接口参数
          this.$refs.addAdpackingDrawer.addState = '0'; 
          this.$refs.addAdpackingDrawer.loadSizeTables(res.result.syPreAssembledPackingListItemList[0].sizeTables);
          // var totalNetWeight = 0;
          // var totalGrossWeight = 0;
          // var totalVolume = 0;
          // var totalPrice = 0;
          // var total = 0;
          for (var i=0; i<res.result.syPreAssembledPackingListItemList.length;i++){
            var row = res.result.syPreAssembledPackingListItemList[i];
            var sizeTables = row.sizeTables;
            for (var j=0; j<sizeTables.length;j++){
              row['size-'+sizeTables[j].size] = sizeTables[j].proportion;
            }
            // totalNetWeight += row.totalNetWeight*1;
            // totalGrossWeight += row.totalGrossWeight*1;
            // totalVolume += row.totalVolume*1;
            // totalPrice += row.totalPrice*1;
            // total += row.total*1
          }
          // res.result.totalNetWeight = totalNetWeight;
          // res.result.totalGrossWeight = totalGrossWeight;
          // res.result.totalVolume = totalVolume;
          // res.result.totalPrice = totalPrice;
          // res.result.total = total;
        }else{
          this.$message.error(res.message);
        }
      });

      
    },
    //  详情
    details(record) {
      itemByMainId({id:record.id}).then(res => {
        if (res.success) {
          
          this.$refs.detailsAdpackingDrawer.visible = true;
          this.$refs.detailsAdpackingDrawer.addAdpacking = res.result; //接口参数
          this.$refs.detailsAdpackingDrawer.loadSizeTables(res.result.syPreAssembledPackingListItemList[0].sizeTables);
          var totalNetWeight = 0;
          var totalGrossWeight = 0;
          var totalVolume = 0;
          var totalPrice = 0;
          for (var i=0; i<res.result.syPreAssembledPackingListItemList.length;i++){
            var row = res.result.syPreAssembledPackingListItemList[i];
            var sizeTables = row.sizeTables;
            for (var j=0; j<sizeTables.length;j++){
              row['size-'+sizeTables[j].size] = sizeTables[j].proportion;
            }
            totalNetWeight += row.totalNetWeight*1;
            totalGrossWeight += row.totalGrossWeight*1;
            totalVolume += row.totalVolume*1;
            totalPrice += row.totalPrice*1;
          }
          res.result.totalNetWeight = totalNetWeight;
          res.result.totalGrossWeight = totalGrossWeight;
          res.result.totalVolume = totalVolume;
          res.result.totalPrice = totalPrice;
          
        }else{
          this.$message.error(res.message);
        }
      });
    },

    // 新增
    addAdpacking() {
      this.$refs.addAdpackingDrawer.visible = true;
      this.$refs.addAdpackingDrawer.addState = '0'; 
    },

    // 列表导出
    handleExportXls(fileName) {
      downFile('/spapl/syPreAssembledPackingList/exportXls').then(data => {
        if (!data) {
          this.$message.warning('文件下载失败')
          return
        }
        if (typeof window.navigator.msSaveBlob !== 'undefined') {
          window.navigator.msSaveBlob(new Blob([data], { type: 'application/vnd.ms-excel' }), fileName + '.xls')
        } else {
          let url = window.URL.createObjectURL(new Blob([data], { type: 'application/vnd.ms-excel' }))
          let link = document.createElement('a')
          link.style.display = 'none'
          link.href = url
          link.setAttribute('download', fileName + '.xls')
          document.body.appendChild(link)
          link.click()
          document.body.removeChild(link) // 下载完成移除元素
          window.URL.revokeObjectURL(url) // 释放掉blob对象
        }
      })
    },

    //  删除
    handleDelete(record) {
      console.log('点击删除项id:', record.id)
      this.$nextTick(() => {
          if(this.queryParam.pageNo > 1 && this.adPaListClothesData.length === 1){
          this.queryParam.pageNo = this.queryParam.pageNo -1
        }
        deleteAdPaList({ id: record.id }).then(res => {
          if (res.success) {
            console.log('res:', res)
            this.getadPaListClothes()
            this.$message.success('删除成功')
          } else {
            this.$message.error('删除成功')
          }
       
        })
      })
    },

    searchQuery() {
      this.toggleSearchStatus = false
      this.queryParam.pageNo = ''
      this.queryParam.pageSize = 20
      this.getadPaListClothes()
    },

    searchReset() {
      this.range = []
      this.queryParam = {
        pageSize:20
      }
      this.getadPaListClothes()
    },

    // 操作 单条数据导出
    itemXls(record) {
       downFile('/spapl/syPreAssembledPackingList/exportXls',{id:record.id}).then(data => {
         if (!data) {
          this.$message.warning('文件下载失败')
          return
        }
         if (typeof window.navigator.msSaveBlob !== 'undefined') {
          window.navigator.msSaveBlob(new Blob([data], { type: 'application/vnd.ms-excel' }), item + '.xlsx')
        }else {
          let url = window.URL.createObjectURL(new Blob([data], { type: 'application/vnd.ms-excel' }))
          let link = document.createElement('a')
          link.style.display = 'none'
          link.href = url
          link.setAttribute('download', '预装箱单' + '.xlsx')
          document.body.appendChild(link)
          link.click()
          document.body.removeChild(link) // 下载完成移除元素
          window.URL.revokeObjectURL(url) // 释放掉blob对象
        }
       })
    },
    //  提交
    submit(record) {
      var that = this;
      this.$nextTick(() => {
        submit({ id: record.id }).then(res => {
          if (res.success) {
          this.adPaListClothesData.map(item =>{
           if(item.id == record.id){
               item.status = 1
            }
          })
            this.$forceUpdate()
            that.$message.success('提交成功');
          }else{
            that.$message.error(res.message);
          }

        })
      })
    },
    // // 取消提交
    // cancelSubmit(record){
    //   var that = this;
    //   this.$nextTick(() => {
    //     if(record.isReference == 2){
    //       that.$message.error('不可取消提交！');
    //     }else {
    //       cancelSubmit({ id: record.id }).then(res => {
    //       if (res.success) {
    //         record.status=0;
    //         that.$message.success('取消提交成功');
    //       }else{
    //         that.$message.error(res.message);
    //       }
    //      })
    //     }
        
    //   })
    // },

    //批量提交
    batchSubmit(){
       this.$nextTick(() => {
          for(var i =0;i<this.selectedRows.length;i++){
            var tickRow = this.selectedRows[i]
            if(tickRow.status === '1'){
               var clo = i+1
               this.$message.error("部分数据是已提交，请勿重复提交！");
                return
             }
          }
          var ids = this.selectedRowKeys.toString()
          batchSubmit({ id: ids }).then(res => {
            if (res.success) {
              this.getadPaListClothes()
              this.$message.success('批量提交成功');
              this.selectedRowKeys = []
            }else {
             this.$message.error(res.message);
            }
          })
        })
       },
   //批量取消提交
   batchCanelSubmit(){
     this.$nextTick(() => {
       for(var i =0;i<this.selectedRows.length;i++){
            var tickRow = this.selectedRows[i]
            if(tickRow.status === '0'){
               this.$message.error("含有未提交数据，请重新选择！");
                return
             }
          }
          var ids = this.selectedRowKeys.toString()
            batchCanelSubmit({ ids:ids }).then(res => {
            if (res.success) {
              this.getadPaListClothes()
              this.selectedRowKeys = []
              this.$message.success('批量取消提交成功');
            }else if(res.code == 111){
              for(var i=0;i<this.selectedRows.length;i++){
                if(res.result.indexOf(this.selectedRows[i].id) !== -1){
                   this.$message.error(res.message+'(所选第'+(i+1) +'行数据)');
                   return
                }
              }
            }else {
                   this.$message.error(res.message);
            }
          })
        })

   },
    //批量推送
    batchPush(){
      this.$nextTick(() => {
      for(var i =0;i<this.selectedRows.length;i++){
       var tickRow = this.selectedRows[i]
       var clo = i+1
       if(tickRow.status == '0'){
         this.$message.error("勾选的第"+clo+"行数据未提交，不能推送！");
         return
       }
       if(tickRow.status === '1' && tickRow.pushStatus === '1'){
         this.$message.error("勾选的第"+clo+"行数据是已推送！");
         return
       }
     }
     var ids = this.selectedRowKeys.toString()
     batchPush({ id: ids }).then(res => {
          if (res.success) {
          this.selectedRows.map(item=>{
               item.pushStatus = 1
              })
            this.$message.success('批量推送成功');
          }else {
            this.$message.error(res.message);
             this.selectedRows.map(item=>{
               item.pushStatus = 2
              })
            this.$message.error(res.message);
          }
        })
        this.selectedRowKeys = []
      })
    },

   //推送
   push(record){
     this.$nextTick(() => {
        push({ id: record.id }).then(res => {
          if (res.success) {
            record.pushStatus=1;
            this.$message.success('推送成功');
          }else{
            record.pushStatus = 2
            this.$message.error(res.message);
          }
        })
      })
   },
    // 选中行
    onSelectChange(keys, rows) {
      this.selectedRowKeys = keys
      this.selectedRows = rows
    },

    handleTableChange(pagination, filters, sorter) {
      // console.log('当前页信息>>>>',pagination)
      this.queryParam.pageNo = pagination.current
      this.getadPaListClothes()
    },
    aa() {},
    onDateChange(value, dateString) {
      this.queryParam.startTime = dateString[0]
      this.queryParam.endTime = dateString[1]
    },
    
    rangeSelectChange(value) {
      this.range = value
        if (value.length == 0){
        this.queryParam.stratDate = "";
        this.queryParam.endDate = "";
      }else{
        this.queryParam.stratDate = value[0].format('YYYY-MM-DD');
        this.queryParam.endDate  = value[1].format('YYYY-MM-DD');
      }
    }
  },

  computed: {
    // 导入
    importExcelUrl() {
      //   return `${window._CONFIG['domianURL']}/${this.url.importExcelUrl}`
    },
    // 选中项
    rowSelection() {
      return {
        onChange: (selectedRowKeys, selectedRows) => {
          console.log(`selectedRowKeys: ${selectedRowKeys}`, 'selectedRows: ', selectedRows)
        },
        getCheckboxProps: record => ({
          props: {
            disabled: record.title === 'Disabled User',
            // Column configuration not to be checked
            title: record.title
          }
        })
      }
    }
  }
}
</script>
<style lang="less" scoped>
@import '~@assets/less/common.less';
@import '~@assets/less/overwriter.less';
/deep/ .ant-table-thead > tr > th {
  text-align: center;
  // font-weight: 700;
}

/deep/ .ant-table-tbody {
  text-align: center;
}

// /deep/ th.replacecolor {
//   background-color: #ccc;
// }
</style>
